| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
jpeg_d_coef_controller Struct Reference

`#include <jpegint.h>`

## Public Member Functions
| JMETHOD (void, start_input_pass,(j_decompress_ptr cinfo))
| JMETHOD (int, consume_data,(j_decompress_ptr cinfo))
| JMETHOD (void, start_output_pass,(j_decompress_ptr cinfo))
| JMETHOD (int, decompress_data,(j_decompress_ptr cinfo, JSAMPIMAGE output_buf))

## Public Attributes
jvirt_barray_ptr * | coef_arrays

## Detailed Description

Definition at line 166 of file jpegint.h.

## Member Function Documentation

jpeg_d_coef_controller::JMETHOD | ( | void | ,
|  | start_input_pass | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_d_coef_controller::JMETHOD | ( | int | ,
|  | consume_data | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_d_coef_controller::JMETHOD | ( | void | ,
|  | start_output_pass | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_d_coef_controller::JMETHOD | ( | int | ,
|  | decompress_data | ,
|  | (j_decompress_ptr cinfo, JSAMPIMAGE output_buf) |
| ) |  |

## Member Data Documentation

jvirt_barray_ptr* jpeg_d_coef_controller::coef_arrays

Definition at line 173 of file jpegint.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpegint.h